Subject: bash: bug with cd ???
From: [email-masked] (Marc Lalonde)

30 Mar 1998 10:31:06 -0800
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: [email-masked]

Hi! I've installed the gnu-Win32 tools (beta 19) a few days ago (under
NT4.0), and it seems to work great except for this strange behavior in
bash: in some situations (when trying to get to the root directory of a
drive), the 'cd' command doesn't work!  Here's a test case using the a:
drive and dummy files arranged like (by doing ls -R)

(root)
  sub1       file.0
(sub1):
  sub2       file.1
(sub1/sub2):
  file.2

In the test case, I start from //a, then go to the sub-directories and
then try to get back to the root //a. As you can see, I had to change
drive to finally go back to //a !
- - - - - - - - - - - - - -
bash-2.01$ pwd
//a
bash-2.01$ ll
total 0
drwxr-xr-x   4 0        everyone        0 Mar 26 10:03 sub1
-rw-rw-rw-   1 0        everyone        3 Mar 26 10:04 file.0
bash-2.01$ cd sub1
bash-2.01$ ll
total 0
drwxr-xr-x   3 0        everyone        0 Mar 26 10:03 sub2
-rw-rw-rw-   1 0        everyone        3 Mar 26 10:04 file.1
bash-2.01$ cd sub2
bash-2.01$ ll
total 1
-rw-rw-rw-   1 0        everyone        3 Mar 26 10:04 file.2
bash-2.01$ pwd
//a/sub1/sub2
bash-2.01$ cd ..
bash-2.01$ ll
total 0
drwxr-xr-x   3 0        everyone        0 Mar 26 10:03 sub2
-rw-rw-rw-   1 0        everyone        0 Mar 26 10:04 file.1
bash-2.01$ pwd
//a/sub1
bash-2.01$ cd ..
bash-2.01$ ll
total 0
drwxr-xr-x   3 0        everyone        0 Mar 26 10:03 sub2
-rw-rw-rw-   1 0        everyone        0 Mar 26 10:04 file.1
bash-2.01$ pwd
//a
bash-2.01$ cd //a
bash-2.01$ ll
total 0
drwxr-xr-x   3 0        everyone        0 Mar 26 10:03 sub2
-rw-rw-rw-   1 0        everyone        0 Mar 26 10:04 file.1
bash-2.01$ cd //c
bash-2.01$ cd //a
bash-2.01$ ll
total 0
drwxr-xr-x   4 0        everyone        0 Mar 26 10:03 sub1
-rw-rw-rw-   1 0        everyone        0 Mar 26 10:04 file.0
- - - - - - - - - - -

BTW, the same problem appears with other drives, even those mounted by
NT. Has anyone experienced something similar ? I'm so surprised to get
this behavior that I'm wondering if I missed something somewhere...:-/
____________
Marc Lalonde
Research agent - computer vision
Centre de recherche informatique de Montreal

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".